<!-- Small boxes (Stat box) -->
<div class="row">
  <div class="col col-xs-12">
    <div class="box box-primary">
      <div class="box-header with-border" style="<%= isModal ? '' : 'padding: 2px 10px' %>">
        <h3 class="box-title" style="line-height: 34px">担当部署検索</h3>
        <% if (!isModal) { %>
          <a href="/section/add" class="btn btn-success float-right">
            <i class="fa fa-plus"></i> 新規登録
          </a>
        <% } %>
      </div>
      <!-- /.box-header -->
      <!-- form start -->
      <form id="sectionSearch" class="form-horizontal" method="GET">
        <% if (isModal) { %>
          <input type="hidden" value="50" name="pageLine">
          <input type="hidden" value="0" name="offset">
        <% } %>
        <div class="box-body">
          <div class="row">
            <div class="col col-12 col-md-6 col-lg-4">
              <div class="form-group row">
                <label for="code" class="col col-4 control-label">部署コード</label>
                <div class="col col-8">
                  <input type="text" class="form-control" id="code" name="code" value="<%= search.code %>">
                </div>
              </div>
            </div>
            <div class="col col-12 col-md-6 col-lg-4">
              <div class="form-group row">
                <label for="name" class="col col-4 control-label">担当部署名</label>
                <div class="col col-8">
                  <input type="text" class="form-control" id="name" name="name" value="<%= search.name %>">
                </div>
              </div>
            </div>
            <div class="col col-12 col-md-6 col-lg-4">
              <div class="form-group row">
                <label class="col col-4 control-label" for="disableFlag">
                  登録状況
                </label>
                <div class="col col-8" style="padding-top: 7px">
                  <input type="hidden" name="disableFlag" value="">
                  <label class="cb-container">有効
                    <input type="checkbox" name="disableFlag" value="0" <%= isChecked(search.disableFlag, '0', true) %>>
                    <span class="cb-checkmark"></span>
                  </label>
                  <label class="cb-container">無効
                    <input type="checkbox" name="disableFlag" value="1" <%= isChecked(search.disableFlag, '1') %>>
                    <span class="cb-checkmark"></span>
                  </label>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /.box-body -->
        <div class="box-footer">
          <button type="button" class="btn btn-default" id="btn-reset">
            <i class="fa fa-eraser"></i> クリア
          </button>
          <button type="<%= isModal ? 'button' : 'submit' %>" id="btn-search" class="btn btn-primary float-right">
            <i class="fa fa-search"></i> 検索
          </button>
          <% if (!isModal) { %>
            <button type="button" id="btn-csv" class="btn btn-info float-right" style="margin-right: 5px">
              <i class="fa fa-download"></i> CSV
            </button>
          <% } %>
        </div>
        <!-- /.box-footer -->
      </form>
    </div>
  </div>
</div>

<% if (isModal || sections.length > 0) { %>
<!-- /.row (main row) -->
<div class="row table-container">
  <div class="col col-xs-12">
    <div class="box box-primary" style="margin-bottom: 5px">
      <!-- /.box-header -->
      <div class="box-body table-responsive no-padding">
        <table class="table table-hover table-striped has-button">
          <thead>
            <tr>
              <th>編集</th>
              <th>ID</th>
              <th style="min-width: 100px">部署コード</th>
              <th style="min-width: 120px">担当部署名</th>
              <th style="min-width: 100px">上位部署ID</th>
              <th style="min-width: 110px">上位部署名</th>
              <th style="min-width: 80px">登録状況</th>
              <th style="min-width: 80px">表示順位</th>
            </tr>
          </thead>
          <tbody>
            <% if (!isModal) for (const section of sections) { %>
              <tr>
                <td>
                  <a href="/section/<%= section.id %>/checkLock" target="_blank">
                    <button type="button" class="btn btn-sm btn-primary">
                      <i class="fas fa-pen no-margin"></i>
                    </button>
                  </a>
                </td>
                <td><a href="/section/<%= section.id %>" target="_blank"><%= section.id %></a></td>
                <td><%= section.code %></td>
                <td><%= truncate(section.name) %></td>
                <td>
                  <% if (section.higherSectionId !== null) { %>
                    <a href="/section/<%= section.higherSectionId %>" target="_blank"><%= section.higherSectionId %></a>
                  <% } %>
                </td>
                <td>
                  <% if (section.higherSection !== null) { %>
                    <%= truncate(section.higherSection.name) %>
                  <% } %>
                </td>
                <td><%= disableFlags[section.disableFlag] %></td>
                <td><%= section.sort %></td>
              </tr>
            <% } %>
          </tbody>
        </table>
      </div>
      <!-- /.box-body -->
    </div>
    <!-- /.box -->
  </div>
</div>
<% } %>
<div class="row paginate-container">
  <div class="col col-xs-12">
    <% if (!isModal) { %>
      <%- pagination(dataCount) %>
    <% } %>
  </div>
</div>